<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center|end"
    android:orientation="vertical"
    tools:context="macampcorp.macamp.activities.BombActivity">

    <android.support.constraint.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <ImageButton
            android:id="@+id/b_back"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_marginBottom="8dp"
            android:layout_marginLeft="8dp"
            android:layout_marginStart="8dp"
            android:layout_marginTop="8dp"
            android:adjustViewBounds="true"
            android:background="#0000"
            android:onClick="onBackClicked"
            android:scaleType="fitCenter"
            app:layout_constraintBottom_toBottomOf="@+id/linearLayout3"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/back" />

        <LinearLayout
            android:id="@+id/linearLayout3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:layout_marginStart="8dp"
            android:layout_marginTop="8dp"
            android:orientation="vertical"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/b_back"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/textView9"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="2dp"
                android:gravity="center"
                android:paddingTop="10sp"
                android:text="@string/btn_code"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/divider4"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_bombe"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="2dp"
                android:gravity="center"
                android:paddingBottom="10sp"
                android:text="_ _ _ _ _ _ _ "
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/divider4"
                app:layout_constraintTop_toTopOf="parent" />
        </LinearLayout>
    </android.support.constraint.ConstraintLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="bottom"
        android:background="@drawable/pad"
        android:gravity="center_vertical|center_horizontal"
        android:orientation="vertical">

        <View
            android:id="@+id/divider"
            android:layout_width="match_parent"
            android:layout_height="@dimen/padding_afficheur"
            android:background="?android:attr/listDivider" />

        <TextView
            android:id="@+id/tv_car"
            android:layout_width="183dp"
            android:layout_height="50dp"
            android:layout_marginEnd="8dp"
            android:layout_marginLeft="30dp"
            android:layout_marginRight="30dp"
            android:layout_marginStart="8dp"
            android:layout_marginTop="30dp"
            android:background="@drawable/afficheur_fond"
            android:gravity="right|center_vertical"
            android:paddingLeft="15dp"
            android:paddingRight="15dp"
            android:password="false"
            android:text="00 : 00 : 00"
            android:textIsSelectable="false"
            android:textSize="30sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toStartOf="@+id/divider4"
            app:layout_constraintHorizontal_bias="0.512"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_code"
            android:layout_width="222dp"
            android:layout_height="50dp"
            android:layout_marginEnd="8dp"
            android:layout_marginLeft="30dp"
            android:layout_marginRight="30dp"
            android:layout_marginStart="8dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/afficheur_fond"
            android:gravity="right|center_vertical"
            android:maxEms="1"
            android:minEms="1"
            android:paddingLeft="10dp"
            android:paddingRight="10dp"
            android:password="false"
            android:text="#########"
            android:textIsSelectable="false"
            android:textSize="30sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toStartOf="@+id/divider4"
            app:layout_constraintHorizontal_bias="0.512"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="30sp"
            android:layout_marginRight="30sp"
            android:gravity="center_vertical"
            android:orientation="vertical"
            android:paddingBottom="10dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="6dp"
                android:gravity="center"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/button7"
                    android:layout_width="@dimen/bomb_key_size"
                    android:layout_height="@dimen/bomb_key_size"
                    android:layout_marginLeft="20dp"
                    android:layout_marginRight="10dp"
                    android:background="@drawable/uibutton"
                    android:onClick="onButton7"
                    android:paddingBottom="20dp"
                    android:paddingTop="20dp"
                    android:text="7" />

                <Button
                    android:id="@+id/button8"
                    android:layout_width="@dimen/bomb_key_size"
                    android:layout_height="@dimen/bomb_key_size"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:background="@drawable/uibutton"
                    android:onClick="onButton8"
                    android:paddingBottom="20dp"
                    android:paddingTop="20dp"
                    android:text="8" />

                <Button
                    android:id="@+id/button9"
                    android:layout_width="@dimen/bomb_key_size"
                    android:layout_height="@dimen/bomb_key_size"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="20dp"
                    android:background="@drawable/uibutton"
                    android:onClick="onButton9"
                    android:paddingBottom="20dp"
                    android:paddingTop="20dp"
                    android:text="9" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="6dp"
                android:gravity="center"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/button4"
                    android:layout_width="@dimen/bomb_key_size"
                    android:layout_height="@dimen/bomb_key_size"
                    android:layout_marginLeft="20dp"
                    android:layout_marginRight="10dp"
                    android:background="@drawable/uibutton"
                    android:onClick="onButton4"
                    android:paddingBottom="20dp"
                    android:paddingTop="20dp"
                    android:text="4" />

                <Button
                    android:id="@+id/button5"
                    android:layout_width="@dimen/bomb_key_size"
                    android:layout_height="@dimen/bomb_key_size"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:background="@drawable/uibutton"
                    android:onClick="onButton5"
                    android:paddingBottom="20dp"
                    android:paddingTop="20dp"
                    android:text="5" />

                <Button
                    android:id="@+id/button6"
                    android:layout_width="@dimen/bomb_key_size"
                    android:layout_height="@dimen/bomb_key_size"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="20dp"
                    android:background="@drawable/uibutton"
                    android:onClick="onButton6"
                    android:paddingBottom="20dp"
                    android:paddingTop="20dp"
                    android:text="6" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="6dp"
                android:gravity="center"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/button1"
                    android:layout_width="@dimen/bomb_key_size"
                    android:layout_height="@dimen/bomb_key_size"
                    android:layout_marginLeft="20dp"
                    android:layout_marginRight="10dp"
                    android:background="@drawable/uibutton"
                    android:onClick="onButton1"
                    android:paddingBottom="20dp"
                    android:paddingTop="20dp"
                    android:text="1" />

                <Button
                    android:id="@+id/button2"
                    android:layout_width="@dimen/bomb_key_size"
                    android:layout_height="@dimen/bomb_key_size"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:width="10dp"
                    android:background="@drawable/uibutton"
                    android:onClick="onButton2"
                    android:paddingBottom="20dp"
                    android:paddingTop="20dp"
                    android:text="2" />

                <Button
                    android:id="@+id/button3"
                    android:layout_width="@dimen/bomb_key_size"
                    android:layout_height="@dimen/bomb_key_size"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="20dp"
                    android:background="@drawable/uibutton"
                    android:onClick="onButton3"
                    android:paddingBottom="20dp"
                    android:paddingTop="20dp"
                    android:text="3" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/b_erase"
                    android:layout_width="@dimen/bomb_key_size"
                    android:layout_height="@dimen/bomb_key_size"
                    android:layout_marginLeft="20dp"
                    android:layout_marginRight="10dp"
                    android:background="@drawable/uibutton"
                    android:onClick="onButtonEff"
                    android:paddingBottom="20dp"
                    android:paddingTop="20dp"
                    android:text="Eff" />

                <Button
                    android:id="@+id/button0"
                    android:layout_width="@dimen/bomb_key_size"
                    android:layout_height="@dimen/bomb_key_size"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:background="@drawable/uibutton"
                    android:onClick="onButton0"
                    android:paddingBottom="20dp"
                    android:paddingTop="20dp"
                    android:text="0" />

                <Button
                    android:id="@+id/buttonOk"
                    android:layout_width="@dimen/bomb_key_size"
                    android:layout_height="@dimen/bomb_key_size"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="20dp"
                    android:background="@drawable/uibutton"
                    android:onClick="onButtonOk"
                    android:paddingBottom="20dp"
                    android:paddingTop="20dp"
                    android:text="Ok" />
            </LinearLayout>


        </LinearLayout>
    </LinearLayout>

</LinearLayout>
